<?xml version="1.0" encoding="utf-8" ?>
<hwdb>
  <cpu minpoints="4">
    <vendor ID="GenuineIntel" name="Intel" homepage="http://www.intel.com">
      <family ID="6" name="Pentium 3/Pentium M">
        <record clock="3800" points="20" />
        <record clock="3600" points="19" />
        <record clock="3400" points="18" />
        <record clock="3200" points="17" />
        <record clock="3000" points="16" />
        <record clock="2800" points="15" />
        <record clock="2600" points="14" />
        <record clock="2400" points="13" />
        <record clock="2200" points="12" />
        <record clock="2000" points="11" />
        <record clock="1800" points="10" />
        <record clock="1600" points="9" />
        <record clock="1400" points="8" />
        <record clock="1200" points="7" />
        <record clock="1000" points="6" />
        <record clock="800" points="5" />
      </family>
      <family ID="7" name="Pentium 4">
        <record clock="5100" points="20" />
        <record clock="4850" points="19" />
        <record clock="4600" points="18" />
        <record clock="4350" points="17" />
        <record clock="4100" points="16" />
        <record clock="3850" points="15" />
        <record clock="3600" points="14" />
        <record clock="3350" points="13" />
        <record clock="3100" points="12" />
        <record clock="2850" points="11" />
        <record clock="2600" points="10" />
        <record clock="2350" points="9" />
        <record clock="2100" points="8" />
        <record clock="1850" points="7" />
        <record clock="1600" points="6" />
        <record clock="1350" points="5" />
      </family>
    </vendor>
    <vendor ID="AuthenticAMD" name="Advanced Micro Devices" homepage="http://www.amd.com">
      <family ID="6" name="Athlon/Athlon XP">
        <record clock="4200" points="20" />
        <record clock="4000" points="19" />
        <record clock="3800" points="18" />
        <record clock="3600" points="17" />
        <record clock="3400" points="16" />
        <record clock="3200" points="15" />
        <record clock="3000" points="14" />
        <record clock="2800" points="13" />
        <record clock="2600" points="12" />
        <record clock="2400" points="11" />
        <record clock="2200" points="10" />
        <record clock="2000" points="9" />
        <record clock="1800" points="8" />
        <record clock="1600" points="7" />
        <record clock="1400" points="6" />
        <record clock="1200" points="5" />
      </family>
      <family ID="7" name="Athlon 64">
        <record clock="2900" points="20" />
        <record clock="2750" points="19" />
        <record clock="2600" points="18" />
        <record clock="2450" points="17" />
        <record clock="2300" points="16" />
        <record clock="2150" points="15" />
        <record clock="2000" points="14" />
        <record clock="1850" points="13" />
        <record clock="1700" points="12" />
        <record clock="1550" points="11" />
        <record clock="1400" points="10" />
        <record clock="1250" points="9" />
        <record clock="1100" points="8" />
        <record clock="950" points="7" />
        <record clock="800" points="6" />
        <record clock="650" points="5" />
      </family>
    </vendor>
  </cpu>
  <gfx>
    <vendor ID="0x1002" name="ATI" homepage="http://www.ati.com">
      <adapters>
        <adapter points="20" pattern=".*Radeon .*X19...*" />
        <adapter points="18" pattern=".*Radeon .*X18...*" />
        <adapter points="16" pattern=".*Radeon .*X1[6-7]...*" />
        <adapter points="14" pattern=".*Radeon .*X[8-9]...*" />
        <adapter points="12" pattern=".*Radeon .*X7...*" />
        <adapter points="10" pattern=".*Radeon .*9[7-8]...*" />
        <adapter points="8" pattern=".*Radeon .*X1[0-5]...*" />
        <adapter points="6" pattern=".*Radeon .*X6...*" />
        <adapter points="6" pattern=".*Radeon .*9[5-6]...*" />
        <adapter points="4" pattern=".*Radeon .*X[0-5]...*" />
        <adapter points="2" pattern=".*Radeon .*8....*" />
        <adapter points="1" pattern=".*Radeon .*9[0-4]...*" />
      </adapters>
      <drivers>
        <driver pattern="6.14.10.6467" date="2004-08-03" name="Catalyst 4.8" />
        <driver pattern="6.14.10.6476" date="2004-08-25" name="Catalyst 4.9" />
        <driver pattern="6.14.10.6483" date="2004-09-29" name="Catalyst 4.10" />
        <driver pattern="6.14.10.6490" date="2004-10-26" name="Catalyst 4.11" />
        <driver pattern="6.14.10.6497" date="2004-11-30" name="Catalyst 4.12" />
        <driver pattern="6.14.10.6505" date="2004-11-30" name="Catalyst 5.1" />
        <driver pattern="6.14.10.6512" date="2005-01-19" name="Catalyst 5.2" />
        <driver pattern="6.14.10.6517" date="2005-02-22" name="Catalyst 5.3" />
        <driver pattern="6.14.10.6525" date="2005-03-22" name="Catalyst 5.4" />
        <driver pattern="6.14.10.6546" date="2005-05-03" name="Catalyst 5.5" />
        <driver pattern="6.14.10.6542" date="2005-05-12" name="Catalyst 5.6" />
        <driver pattern="6.14.10.6553" date="2005-06-28" name="Catalyst 5.7" />
        <driver pattern="6.14.10.6561" date="2005-08-03" name="Catalyst 5.8" />
        <driver pattern="6.14.10.6571" date="2005-08-30" name="Catalyst 5.9" />
        <driver pattern="6.14.10.6575" date="2005-09-14" name="Catalyst 5.10" />
        <driver pattern="6.14.10.6583" date="2005-10-28" name="Catalyst 5.11" />
        <driver pattern="6.14.10.6587" date="2005-11-22" name="Catalyst 5.12" />
        <driver pattern="6.14.10.6587" date="2005-12-11" name="Catalyst 5.13" />
        <driver pattern="6.14.10.6587" date="2006-01-04" name="Catalyst 6.1" />
        <driver pattern="6.14.10.6599" date="2006-01-24" name="Catalyst 6.2" />
        <driver pattern="6.14.10.6601" date="2006-02-21" name="Catalyst 6.3" />
        <driver pattern="6.14.10.6606" date="2006-03-21" name="Catalyst 6.4" />
      </drivers>
    </vendor>
    <vendor ID="0x10de" name="Nvidia" homepage="http://www.nvidia.com">
      <adapters>
        <adapter points="20" pattern=".*GeForce .*79...*" />
        <adapter points="18" pattern=".*GeForce .*78...*" />
        <adapter points="16" pattern=".*GeForce .*7[6-7]...*" />
        <adapter points="14" pattern=".*GeForce .*6[8-9]...*" />
        <adapter points="12" pattern=".*GeForce .*6[6-7]...*" />
        <adapter points="10" pattern=".*GeForce .*FX.*59...*" />
        <adapter points="8" pattern=".*GeForce .*FX.*58...*" />
        <adapter points="8" pattern=".*GeForce4 .*Ti 4[6-8]...*" />
        <adapter points="6" pattern=".*GeForce .*7[0-5]...*" />
        <adapter points="6" pattern=".*GeForce4 .*Ti 4[0-5]...*" />
        <adapter points="4" pattern=".*GeForce .*6[0-5]...*" />
        <adapter points="4" pattern=".*GeForce .*FX.*5[6-7]...*" />
        <adapter points="2" pattern=".*GeForce .*FX.*55...*" />
        <adapter points="2" pattern=".*GeForce3.*" />
        <adapter points="1" pattern=".*GeForce .*FX.*5[0-4]...*" />
      </adapters>
      <drivers>
        <driver pattern="6.14.10.(..+)(++)" name="ForceWare \1.\2" />
      </drivers>
    </vendor>
  </gfx>
  <hazards>
    <gfxdriver below="6.14.10.6583" rationale="ConfigRationaleGarbled" pattern=".*Radeon.*" />
    <gfxdriver below="6.14.10.6610" rationale="ConfigRationaleGarbled" pattern=".*Radeon .*X1[0-9]...*" />
    <gfxdriver aboveequal="6.14.10.5000" below="6.14.10.8420" rationale="ConfigRationaleBluescreens"
      pattern=".*GeForce[3|4].*" />
    <gfxdriver aboveequal="6.14.10.8000" below="6.14.10.8420" rationale="ConfigRationaleBluescreens"
      pattern=".*GeForce .*FX.*" />
  </hazards>
  <settings>
    <!-- init -->
    <init section="vismain" option="optionshadowmapfilter" value="2" />
    <init section="vismain" option="optionshadowobjects" value="1" />
    <init section="vismain" option="optionshadowmap" value="1" />
    <init section="vismain" option="optionenableskydome" value="1" />
    <init section="vismain" option="optiontexturesizebias" value="0" />
    <init section="vismain" option="optionwaterquality" value="2" />
    <init section="vismain" option="optionenablegrass" value="1" />
    <init section="vismain" option="optionenableautoexposure" value="1" />
    <init section="vismain" option="optionenableglow" value="1" />
    <init section="vismain" option="optionterraintextureanisotropy" value="16" />
    <init section="vismain" option="optionenableflatshades" value="1" />
    <init section="vismain" option="filtermaxdistance" value="225" />
    <init section="application" option="maxshader" value="0" />
    <!-- shadow -->
    <gfxpoints pointsbelow="18" section="vismain" option="optionshadowmapfilter" value="1" />
    <gfxpoints pointsbelow="14" section="vismain" option="optionshadowmapfilter" value="0" />
    <gfxpoints pointsbelow="12" section="vismain" option="optionshadowobjects" value="0" />
    <gfxpoints pointsbelow="10" section="vismain" option="optionshadowmap" value="0" />
    <cpupoints pointsbelow="10" section="vismain" option="optionshadowmap" value="0" />
    <!-- sky, grass -->
    <gfxpoints pointsbelow="4" section="vismain" option="optionenableskydome" value="0" />
    <cpupoints pointsbelow="6" section="vismain" option="optionenableskydome" value="0" />
    <gfxpoints pointsbelow="12" section="vismain" option="optionenablegrass" value="0" />
    <cpupoints pointsbelow="8" section="vismain" option="optionenablegrass" value="0" />
    <!-- texture quality -->
    <gfxpoints pointsbelow="18" section="vismain" option="optiontexturesizebias" value="-1" />
    <gfxpoints pointsbelow="6" section="vismain" option="optiontexturesizebias" value="-2" />
    <!-- water -->
    <gfxpoints pointsbelow="14" section="vismain" option="optionwaterquality" value="1" />
    <cpupoints pointsbelow="8" section="vismain" option="optionwaterquality" value="1" />
    <gfxpoints pointsbelow="8" section="vismain" option="optionwaterquality" value="0" />
    <cpupoints pointsbelow="6" section="vismain" option="optionwaterquality" value="0" />    
    <!-- glow, autoexposure -->
    <gfxpoints pointsbelow="6" section="vismain" option="optionenableautoexposure" value="0" />
    <gfxpoints pointsbelow="10" section="vismain" option="optionenableglow" value="0" />
    <!-- anisotropy -->
    <gfxpoints pointsbelow="18" section="vismain" option="optionterraintextureanisotropy" value="8" />
    <gfxpoints pointsbelow="14" section="vismain" option="optionterraintextureanisotropy" value="4" />
    <gfxpoints pointsbelow="10" section="vismain" option="optionterraintextureanisotropy" value="2" />
    <gfxpoints pointsbelow="6" section="vismain" option="optionterraintextureanisotropy" value="1" />
    <!-- shader limits -->
    <gfxpattern pattern="(.*)GeForce (.*)FX5(0-7)++(.*)" section="application" option="maxshader"
      value="257" />
    <!-- sight range, flatshades -->
    <gfxpoints pointsbelow="6" section="vismain" option="filtermaxdistance" value="150" />
    <cpupoints pointsbelow="14" section="vismain" option="filtermaxdistance" value="150" />
    <gfxpoints pointsbelow="4" section="vismain" option="filtermaxdistance" value="100" />
    <cpupoints pointsbelow="10" section="vismain" option="filtermaxdistance" value="100" />
    <gfxpoints pointsbelow="2" section="vismain" option="optionenableflatshades" value="0" />
    <cpupoints pointsbelow="6" section="vismain" option="optionenableflatshades" value="0" />
  </settings>
</hwdb>
